#### D.4.16.27 addModules

Procedure from library `modules.lib` (see modules_lib).

Usage:
  addModules(M,N); or M+N; M and N Modules

Return:
  Module, sum of the two Modules

Example:

    LIB "modules.lib";
    ring r;
    matrix ma[2][2]=x,y,x2,y2;
    Matrix m=ma;
    Module M=image(m);
    matrix na[2][2]=xy,x2,y2,x;
    Matrix n=na;
    Module N=image(na);
    M;
    ==> image | x  y  |
    ==>       | x2 y2 |
    ==>
    ==>
    N;
    ==> image | xy x2 |
    ==>       | y2 x  |
    ==>
    ==>
    N+M;
    ==> image | xy x2 x  y  |
    ==>       | y2 x  x2 y2 |
    ==>
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.